> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar solicitações de autorização do Pix Automático

> Lista as solicitações de autorização pertencentes ao pagador autenticado, com filtros opcionais e paginação por página/limite.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml GET /v1/recurrences/payer/authorization-requests
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.7.6
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/recurrences/payer/authorization-requests:
    get:
      tags:
        - Pix Automático API
      summary: Listar solicitações de autorização do Pix Automático
      description: >-
        Lista as solicitações de autorização pertencentes ao pagador
        autenticado, com filtros opcionais e paginação por página/limite.
      parameters:
        - $ref: '#/components/parameters/XAccountId'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Page'
        - name: status
          in: query
          description: Filtrar por status
          schema:
            type: string
            enum:
              - PENDING
              - INITIATED
              - APPROVING
              - CONFIRMED
              - REJECTED
              - PAYMENT_FAILED
              - REPLY_FAILED
              - CANCELLED
              - EXPIRED
        - name: start_date
          in: query
          description: Limite inferior ISO 8601 UTC de createdAt
          schema:
            format: date-time
            type: string
        - name: end_date
          in: query
          description: Limite superior ISO 8601 UTC de createdAt
          schema:
            format: date-time
            type: string
        - $ref: '#/components/parameters/SortOrder'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllAuthorizationRequestsOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
      security:
        - bearerAuth: []
components:
  parameters:
    XAccountId:
      name: X-Account-Id
      in: header
      description: Identificador único da Conta do Ledger Midaz (formato UUID).
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
    Limit:
      name: limit
      in: query
      description: Número máximo de itens por página.
      required: false
      example: 10
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    Page:
      name: page
      in: query
      description: Número da página para paginação.
      required: false
      example: 1
      schema:
        type: integer
        minimum: 1
        default: 1
    SortOrder:
      name: sort_order
      in: query
      description: 'Direção da ordenação: asc ou desc.'
      required: false
      example: asc
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
  schemas:
    GetAllAuthorizationRequestsOutput:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AuthorizationRequestOutput'
          type: array
        limit:
          type: integer
          example: 10
        page:
          type: integer
          example: 1
        total:
          type: integer
          example: 42
      type: object
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
    AuthorizationRequestOutput:
      properties:
        acceptedMaxAmount:
          example: '500.00'
          type: string
        accountId:
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
          type: string
        amount:
          $ref: '#/components/schemas/AuthorizationRequestAmountProfile'
        approvingAt:
          format: date-time
          type: string
        cancellationCode:
          example: ACCL
          type: string
        cancellationRequester:
          example: PSP_PAYEE
          type: string
        cancelledAt:
          format: date-time
          type: string
        confirmedAt:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        description:
          example: Streaming subscription
          type: string
        destination:
          $ref: '#/components/schemas/AuthorizationRequestDestination'
        expiredAt:
          format: date-time
          type: string
        externalRequestId:
          example: RREC-2026-04-001
          type: string
        firstChargeId:
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
          type: string
        id:
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
          type: string
        journey:
          example: J1
          type: string
        payeeRejectionCode:
          example: MD20
          type: string
        payeeRejectionDescription:
          type: string
        periodicity:
          $ref: '#/components/schemas/AuthorizationRequestPeriodicity'
        rejectedAt:
          format: date-time
          type: string
        replyFailedAt:
          format: date-time
          type: string
        replyFailureReason:
          type: string
        retryPolicy:
          example: RETRY_3X_7D
          type: string
        status:
          enum:
            - PENDING
            - INITIATED
            - APPROVING
            - CONFIRMED
            - REJECTED
            - PAYMENT_FAILED
            - REPLY_FAILED
            - CANCELLED
            - EXPIRED
          example: PENDING
          type: string
        updatedAt:
          format: date-time
          type: string
        validUntil:
          example: '2026-06-30T23:59:59Z'
          format: date-time
          type: string
      type: object
    AuthorizationRequestAmountProfile:
      properties:
        fixed:
          example: '29.90'
          type: string
        max:
          example: '500.00'
          type: string
        min:
          example: '10.00'
          type: string
      type: object
    AuthorizationRequestDestination:
      properties:
        account:
          example: '123456'
          type: string
        accountType:
          enum:
            - CACC
            - SVGS
            - TRAN
            - OTHR
          example: CACC
          type: string
        bank:
          example: '30306294'
          type: string
        branch:
          example: '0001'
          type: string
        document:
          example: '12345678000199'
          type: string
        key:
          example: contato@streaming.co
          type: string
        name:
          example: Streaming Co
          type: string
        personType:
          enum:
            - NATURAL_PERSON
            - LEGAL_PERSON
          example: LEGAL_PERSON
          type: string
      type: object
    AuthorizationRequestPeriodicity:
      properties:
        customDays:
          example: 30
          type: integer
        type:
          enum:
            - WEEKLY
            - MONTHLY
            - QUARTERLY
            - SEMIANNUAL
            - ANNUAL
            - CUSTOM
          example: MONTHLY
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````